Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025113
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2013-11-08 09:402013-11-19 19:07
ReportercaristuView Statuspublic 
Assigned Toshankarb 
PriorityhighResolutionfixedFixed in Version3.0MP30
StatusclosedFix in branchFixed in SCM revision7ea2815bb68a
ProjectionnoneETAnoneTarget Version3.0MP30
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025113: Product Characteristic is not updated properly in form view

DescriptionProduct Characteristic is not updated properly in form view
Steps To Reproduce1) Create a new product characteristic, for example, Color with 2 values: rojo, verde
2) Create a new generic product,A, and explode it. Two new variants will be generated A0 and A1
3) Notice that in grid view the characteristic description is fine for both products
4) Access in form view to product A0.
5) Access in form view to product A1. Notice that the characteristic value has not been updated and the A0 characteristic is shown.
Proposed SolutionIn the OBCharacteristicsItem class use the setValue() method to set the value properly
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0062066)
hgbot (developer)
2013-11-11 08:17

Repository: erp/devel/pi
Changeset: 7ea2815bb68a3852f3f5dabfd65162c1e602d4f6
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Mon Nov 11 12:43:33 2013 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/7ea2815bb68a3852f3f5dabfd65162c1e602d4f6 [^]

Fixes issue 0025113: Product Characteristic is not updated properly in form view

Cleared existing values before setting new values to the canvas.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-characteristics.js
---
(0062174)
AugustoMauch (developer)
2013-11-18 12:51

Code reviewed and verified in pi@db204076ebbc
(0062249)
hudsonbot (developer)
2013-11-19 19:07

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ab71e0273dc1 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-11-08 09:40 caristu New Issue
2013-11-08 09:40 caristu Assigned To => AugustoMauch
2013-11-08 09:40 caristu Modules => Core
2013-11-08 09:40 caristu Triggers an Emergency Pack => No
2013-11-11 08:16 shankarb Assigned To AugustoMauch => shankarb
2013-11-11 08:16 shankarb Review Assigned To => AugustoMauch
2013-11-11 08:16 shankarb Issue Monitored: AugustoMauch
2013-11-11 08:17 hgbot Checkin
2013-11-11 08:17 hgbot Note Added: 0062066
2013-11-11 08:17 hgbot Status new => resolved
2013-11-11 08:17 hgbot Resolution open => fixed
2013-11-11 08:17 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/7ea2815bb68a3852f3f5dabfd65162c1e602d4f6 [^]
2013-11-18 12:51 AugustoMauch Note Added: 0062174
2013-11-18 12:51 AugustoMauch Status resolved => closed
2013-11-18 12:51 AugustoMauch Fixed in Version => 3.0MP30
2013-11-19 19:07 hudsonbot Checkin
2013-11-19 19:07 hudsonbot Note Added: 0062249


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker